Interface XJEndpointBuilderFactory.XJBuilders

All Known Subinterfaces:
EndpointBuilderFactory
All Known Implementing Classes:
EndpointRouteBuilder, EndpointRouteConfigurationBuilder
Enclosing interface:
XJEndpointBuilderFactory

public static interface XJEndpointBuilderFactory.XJBuilders
  • Method Details

    • xj

      XJ (camel-xj) Transform JSON and XML message using a XSLT. Category: transformation Since: 3.0 Maven coordinates: org.apache.camel:camel-xj
      Returns:
      the dsl builder for the headers' name.
    • xj

      XJ (camel-xj) Transform JSON and XML message using a XSLT. Category: transformation Since: 3.0 Maven coordinates: org.apache.camel:camel-xj Syntax: xj:resourceUri Path parameter: resourceUri (required) Path to the template. The following is supported by the default URIResolver. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod
      Parameters:
      path - resourceUri
      Returns:
      the dsl builder
    • xj

      default XJEndpointBuilderFactory.XJEndpointBuilder xj(String componentName, String path)
      XJ (camel-xj) Transform JSON and XML message using a XSLT. Category: transformation Since: 3.0 Maven coordinates: org.apache.camel:camel-xj Syntax: xj:resourceUri Path parameter: resourceUri (required) Path to the template. The following is supported by the default URIResolver. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod
      Parameters:
      componentName - to use a custom component name for the endpoint instead of the default name
      path - resourceUri
      Returns:
      the dsl builder